import request from '@/utils/request'

// 查询危化品安全技术说明书列表
export function listHazard_book(query) {
  return request({
    url: '/laboratory/hazard_book/list',
    method: 'get',
    params: query
  })
}

// 查询危化品安全技术说明书详细
export function getHazard_book(id) {
  return request({
    url: '/laboratory/hazard_book/' + id,
    method: 'get'
  })
}

// 新增危化品安全技术说明书
export function addHazard_book(data) {
  return request({
    url: '/laboratory/hazard_book',
    method: 'post',
    data: data
  })
}

// 修改危化品安全技术说明书
export function updateHazard_book(data) {
  return request({
    url: '/laboratory/hazard_book',
    method: 'put',
    data: data
  })
}

// 删除危化品安全技术说明书
export function delHazard_book(id) {
  return request({
    url: '/laboratory/hazard_book/' + id,
    method: 'delete'
  })
}
